dofile('data/Scenes/14_skin_diver_Anim_back.lua')

PATH_COMICS_14_ON_SHOWN              = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_14_COIN		             = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_14_SIREN	             = 'data/Scenes/Comics/HelpersComicsOneReplicHeroes.lua'
PATH_COMICS_14_ON_WIN	             = 'data/Scenes/Comics/HelpersComicsOneSMS.lua'
PATH_MINIGAME_14_ARMOR               = 'data/Scenes/Minigames/14_Armor.lua'

function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad(screen:GetName())

    local pf = play_field
    local level = pf:GetLevelScreen()

	---------------------------------------------------------------------------------------------						
	level:AddTaskSafe(CreateTask('COIN', '', 'coin'))
	level:AddTaskSafe(CreateTask('JACKET', '', 'jacket'))
	AddRandomTasks(15,
				   CreateTask('UMBRELLA', '', 'umbrella'),
				   CreateTask('BAG', '', 'bag'),
				   CreateTask('BALLOON', '', 'balloon'),
				   CreateTask('BEADS', '', 'beads'),
				   CreateTask('BELT', '', 'belt'),
				   CreateTask('BICYCLE', '', 'bicycle'),
				   CreateTask('BOOK', '', 'book'),
				   CreateTask('BOTTLE', '', 'bottle'),
				   CreateTask('BOW', '', 'bow'),				   
				   CreateTask('BUCKET', '', 'bucket'),
				   CreateTask('BUTTERFLY', '', 'butterfly'),
				   CreateTask('CAMERA', '', 'camera'),
				   CreateTask('CAR', '', 'car'),				   
				   CreateTask('EYE_SHADOW', '', 'eye_shadow'),
				   CreateTask('FAN', '', 'fan'),
				   CreateTask('FLIP_FLOPS', '', 'flip_flops'),
				   CreateTask('GLASS', '', 'glass'),
				   CreateTask('GLASSES', '', 'glasses'),
				   CreateTask('HEADPHONES', '', 'headphones'),
				   CreateTask('LIZARD', '', 'lizard'),
				   CreateTask('MANTIS', '', 'mantis'),
				   CreateTask('DIVINGMASK', '', 'mask'),
				   CreateTask('NEWSPAPER', '', 'newspaper'),
				   CreateTask('PIPE', '', 'pipe'),
				   CreateTask('PLAYING_CARDS', '', 'playing_cards'),
				   CreateTask('POT', '', 'pot'),
				   CreateTask('PUMP', '', 'pump'),
				   CreateTask('RABBIT', '', 'rabbit'),
				   CreateTask('RAKE', '', 'rake'),
				   CreateTask('SANDAL', '', 'sandal'),
				   CreateTask('STAR', '', 'star'),
				   CreateTask('STEAMBOAT', '', 'steamboat'),
				   CreateTask('TUBE', '', 'tube'),
				   CreateTask('STEERING_WHEEL', '', 'steering_wheel'),				   
				   CreateTask('FROG', '', 'frog'),
				   CreateTask('SHOES', '', 'shoes'),				   
				   CreateTask('APPLE', '', 'apple'),
				   CreateTask('BULLET', '', 'cartridge'),
				   CreateTask('CATERPILLAR', '', 'caterpillar'),				   
				   CreateTask('ONION', '', 'onion'),
				   CreateTask('TEAPOT', '', 'teapot')				   
				   )
    pf:IgnoreOnTestPoint('BG_Aqalang1')
	---------------------------------------------------------------------------------------------						
	game_state.chain_on_shown = RegisterComicsEx(function()
                                                    LoadComicsWithOneReplicHeroes(PATH_COMICS_14_ON_SHOWN, 'COMICS_14_ON_SHOWN')
                                                 end )
												 
	game_state.chain_coin = RegisterComicsEx(function()
										 LoadComicsWithOneReplicHeroes(PATH_COMICS_14_COIN, 'COMICS_14_COIN')
  									   end )
    game_state.chain_siren = RegisterComicsEx(function()
										 LoadComicsWithOneReplicHeroes(PATH_COMICS_14_SIREN, 'COMICS_14_SIREN')
  									   end )
	game_state.chain_on_win = RegisterComicsEx(function()
										 LoadComicsWithOneSMS(PATH_COMICS_14_ON_WIN, 'COMICS_14_ON_WIN')
  									   end )
	game_state.chain_on_win.OnHidden = function()
										 OnWinLevel()
									   end
	---------------------------------------------------------------------------------------------
	zone_box = CreateZoomZone('close_zone_box',
                               '',
							   'cartridge',
							   'caterpillar',							   
							   'onion',
							   'teapot',
							   'siren',
							   'ZoomBoxBg'
							   )
	---------------------------------------------------------------------------------------------
	zone_cave = CreateZoomZone('close_zone_cave',
                               'pixel_cave',
							   'ZoomCaveBg',
							   'snake',
							   'sprait_skaly',
							   'sprait_botinok',
							   'cep',
							   'steering_wheel',							   
							   'shoes',
							   'frog',
							   'coin',
							   'pixel_snake'
							   )
	pf:GetObject('pixel_snake'):SetMaxOpacity(0.001)
	---------------------------------------------------------------------------------------------			
	RegisterInactiveGroup('BehindTheSnake', 
						  'steering_wheel',						  
						  'shoes',
 					      'frog',
					      'coin')
	---------------------------------------------------------------------------------------------		
	local photo_action_siren = function()   
                             end
    local apply_action_siren = function(save)
								UnregisterInactiveGroup('BehindTheSnake')
								pf:GetObject('pixel_snake'):SetMaxOpacity(0)
								pf:GetObject('pixel_snake'):SetOpacity(0)
								if save then
									pf:GetObject('snake'):SetMaxOpacity(0)
								else
									pf:GetObject('snake'):GetAnimation():Play()
									PlaySound('14_send_away_snake')
								end
                             end
	local photo_siren = CreatePhotoZone('siren',												
										'AIR_HORN',
										'photo_siren',
										photo_action_siren,
										'pixel_snake',
										apply_action_siren)
	SetHintComicsPhotoZoneEx(photo_siren, game_state.chain_siren)
	level:GetTask('siren'):SetUse(true)
	---------------------------------------------------------------------------------------------			
	if pf:HasObject('pixel_box_zoom') then
		pf:IgnoreOnTestPoint('pixel_box_zoom')
	end
	local clickOnBox = function(save)		
		RegisterZoomZone(zone_box, 'pixel_box_zoom')
		if zone_box.object_name_highlight then
		    local obj_highlight = pf:GetObject(zone_box.object_name_highlight)
		    obj_highlight:SetZ(250)
		end
		if pf:HasObject('pixel_box_zoom') then
			if pf:IsIgnoredOnTestPoint(play_field:GetObject('pixel_box_zoom')) then
				pf:DoNotIgnoreOnTestPoint('pixel_box_zoom')
			end
		end
		if save then
			pf:GetObject('door'):SetOpacity(0)
		else
			pf:GetObject('door'):ChangeOpacity(1, 0, 0.3)
			MakeSoundEntity('14_open_door_in_box'):Play(false)
		end		
    end
    RegisterActiveObject('pixel_box', clickOnBox, false, GetCursorArms())
	pf:GetObject('snake'):SetClippingRect(293, 146, 640, 480)
	pf:GetObject('snake'):GetAnimation():Stop()
	pf:GetObject('snake'):GetAnimation():SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
	---------------------------------------------------------------------------------------------		
	RegisterMiniGame(PATH_MINIGAME_14_ARMOR, function()
                                                LoadMiniGames(PATH_MINIGAME_14_ARMOR)
                                            end )
    if IsMiniGamePlay(PATH_MINIGAME_14_ARMOR) == false and level:IsTaskObject('jacket') == false then
        PlayRegisterMiniGame(PATH_MINIGAME_14_ARMOR)
    end
	---------------------------------------------------------------------------------------------
	local periodically_time_gull_start = 2
    local periodically_time_gull_end = 20

	local anim_back = createComposition14()
	anim_back:AttachTo(screen)
	anim_back:SetZ(81)	
	anim_back:SetCyclic(true)
	anim_back:Play()
	
	local sea_gull_1 = createComposition_chayka_1()
    sea_gull_1:AttachTo(screen)
    sea_gull_1:SetZ(80.1)
    PlayCompositionPeriodicallyVsRandDelay(sea_gull_1, periodically_time_gull_start, periodically_time_gull_end)
    
    local sea_gull_2 = createComposition_chayka_2()
    sea_gull_2:AttachTo(screen)
    sea_gull_2:SetZ(80.2)
    PlayCompositionPeriodicallyVsRandDelay(sea_gull_2, periodically_time_gull_start, periodically_time_gull_end)
    ---------------------------------------------------------------------------------------------                                        
    local internoise_sea = MakeSoundEntity("internoise_sea")
    internoise_sea:Play(true)
    ---------------------------------------------------------------------------------------------
	play_field:IgnoreOnTestPoint('door_layer')
end

function OnSceneFree()
    FreeData()
end

function OnScreenShown(fade_out)
	if fade_out then
		game_state.chain_on_shown.Play()
	end
end

function OnHiddenComics()
end

function OnMinigameCompleted(mini_game)
	if not play_field:GetLevelScreen():HasTaskObjects() then
		OnWin()
	end
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnLose()
end

function OnExit()
end

function OnButtonMouseEnter(title)
end

function OnButtonMouseLeave(title)
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)
    
    return is_wrong_click
end

function OnObjectMouseUp(object)
end

function OnObjectRightMouseDown(object)
end

function OnObjectRightMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
	if object:GetName() == 'coin' then
		game_state.chain_coin.Play()
	end
	if object:GetName() == 'jacket' then
	    PlayRegisterMiniGame(PATH_MINIGAME_14_ARMOR)		
	end
end

function OnPhotographing()
	DefaultOnPhotographing()
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function OnLostFocus()
end

function OnGainFocus()
end

function OnWin()
	if HasGameState(NAME_STATE_MINIGAME..'data/Scenes/Minigames/14_Armor.lua', 'complete') then
		TimerDo(play_field:GetTimer(), 0.3, game_state.chain_on_win.Play)
	end	
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_box',anim,291,689,215,-17,20,16)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_box_zoom',anim,282,694,100,-16,20,16)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/ZoomBox/Items/cartridge.png',0,0,85,22,1,0)
	anim:SetHotSpot(42,11)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('cartridge',anim,696,444,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/ZoomBox/Items/caterpillar.png',0,0,42,84,1,0)
	anim:SetHotSpot(21,42)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('caterpillar',anim,352,537,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/ZoomBox/Items/onion.png',0,0,26,203,1,0)
	anim:SetHotSpot(13,101)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('onion',anim,390,243,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/ZoomBox/Items/siren.png',0,0,138,233,1,0)
	anim:SetHotSpot(69,116)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('siren',anim,564,507,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/ZoomBox/Items/teapot.png',0,0,43,62,1,0)
	anim:SetHotSpot(21,31)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('teapot',anim,445,506,810,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Photos/photo_siren.jpg',0,0,177,298,1,0)
	anim:SetHotSpot(88,149)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('photo_siren',anim,95,190,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/ZoomBox/Layer/ZoomBoxBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomBoxBg',anim,512,384,800,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/apple.png',0,0,57,46,1,0)
	anim:SetHotSpot(28,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('apple',anim,541,448,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_cave',anim,868,196,105,0,8,8)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/bag.png',0,0,165,152,1,0)
	anim:SetHotSpot(82,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bag',anim,275,548,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/balloon.png',0,0,35,45,1,0)
	anim:SetHotSpot(17,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('balloon',anim,972,53,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/beads.png',0,0,36,82,1,0)
	anim:SetHotSpot(18,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('beads',anim,534,232,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/belt.png',0,0,47,76,1,0)
	anim:SetHotSpot(23,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('belt',anim,262,451,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/bicycle.png',0,0,80,61,1,0)
	anim:SetHotSpot(40,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bicycle',anim,937,265,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/book.png',0,0,71,40,1,0)
	anim:SetHotSpot(35,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('book',anim,282,315,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/bottle.png',0,0,65,66,1,0)
	anim:SetHotSpot(32,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bottle',anim,424,288,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/bow.png',0,0,50,49,1,0)
	anim:SetHotSpot(25,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bow',anim,629,85,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/bucket.png',0,0,62,51,1,0)
	anim:SetHotSpot(31,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bucket',anim,776,621,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/butterfly.png',0,0,71,53,1,0)
	anim:SetHotSpot(35,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('butterfly',anim,742,678,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/camera.png',0,0,29,60,1,0)
	anim:SetHotSpot(14,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('camera',anim,620,215,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/car.png',0,0,57,28,1,0)
	anim:SetHotSpot(28,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('car',anim,219,303,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/eye_shadow.png',0,0,54,45,1,0)
	anim:SetHotSpot(27,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eye_shadow',anim,433,346,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/fan.png',0,0,88,44,1,0)
	anim:SetHotSpot(44,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fan',anim,404,511,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/flip_flops.png',0,0,47,37,1,0)
	anim:SetHotSpot(23,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('flip_flops',anim,578,287,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/glass.png',0,0,45,36,1,0)
	anim:SetHotSpot(22,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glass',anim,482,327,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/glasses.png',0,0,52,36,1,0)
	anim:SetHotSpot(26,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glasses',anim,397,346,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/headphones.png',0,0,52,71,1,0)
	anim:SetHotSpot(26,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('headphones',anim,935,396,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/lizard.png',0,0,108,61,1,0)
	anim:SetHotSpot(54,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('lizard',anim,566,700,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/mantis.png',0,0,84,77,1,0)
	anim:SetHotSpot(42,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mantis',anim,373,50,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/mask.png',0,0,83,60,1,0)
	anim:SetHotSpot(41,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask',anim,495,666,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/newspaper.png',0,0,91,78,1,0)
	anim:SetHotSpot(45,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('newspaper',anim,485,531,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/pipe.png',0,0,72,48,1,0)
	anim:SetHotSpot(36,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipe',anim,235,623,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/playing_cards.png',0,0,67,25,1,0)
	anim:SetHotSpot(33,12)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('playing_cards',anim,367,320,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/pot.png',0,0,48,62,1,0)
	anim:SetHotSpot(24,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pot',anim,837,532,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/pump.png',0,0,126,144,1,0)
	anim:SetHotSpot(103,72)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pump',anim,449,426,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/rabbit.png',0,0,71,50,1,0)
	anim:SetHotSpot(35,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rabbit',anim,480,246,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Layers/radio.png',0,0,86,70,1,0)
	anim:SetHotSpot(43,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('radio',anim,495,505,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/rake.png',0,0,62,129,1,0)
	anim:SetHotSpot(31,64)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('rake',anim,738,341,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/sandal.png',0,0,55,37,1,0)
	anim:SetHotSpot(27,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sandal',anim,335,387,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/start.png',0,0,22,21,1,0)
	anim:SetHotSpot(11,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('star',anim,782,548,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/steamboat.png',0,0,72,47,1,0)
	anim:SetHotSpot(36,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('steamboat',anim,746,588,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Layers/tshirt.png',0,0,102,84,1,0)
	anim:SetHotSpot(51,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tshirt',anim,261,354,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/tube.png',0,0,57,31,1,0)
	anim:SetHotSpot(28,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('tube',anim,218,559,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Items/umbrella.png',0,0,112,89,1,0)
	anim:SetHotSpot(56,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('umbrella',anim,343,255,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Layers/Aqalang1.png',0,0,127,161,1,0)
	anim:SetHotSpot(63,80)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Aqalang1',anim,525,355,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Layers/Aqalang2.png',0,0,141,172,1,0)
	anim:SetHotSpot(70,86)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Aqalang2',anim,803,425,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Layers/BG_Aqalang1.png',0,0,169,119,1,0)
	anim:SetHotSpot(84,59)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Aqalang1',anim,509,378,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Layers/BG_Busy.png',0,0,25,39,1,0)
	anim:SetHotSpot(12,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Busy',anim,537,204,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Layers/BG_Butylka.png',0,0,20,41,1,0)
	anim:SetHotSpot(10,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Butylka',anim,421,294,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Layers/BG_Gorshok.png',0,0,64,54,1,0)
	anim:SetHotSpot(32,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Gorshok',anim,838,555,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Layers/BG_Naushniki.png',0,0,39,34,1,0)
	anim:SetHotSpot(19,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Naushniki',anim,927,371,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Layers/BG_Utka.png',0,0,81,88,1,0)
	anim:SetHotSpot(40,44)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Utka',anim,321,723,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Layers/BG_Velosiped.png',0,0,56,43,1,0)
	anim:SetHotSpot(28,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('BG_Velosiped',anim,920,266,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Layers/jacket.png',0,0,44,49,1,0)
	anim:SetHotSpot(22,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('jacket',anim,866,123,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/ZoomCave/Items/coin.png',0,0,27,17,1,0)
	anim:SetHotSpot(13,8)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('coin',anim,805,501,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/ZoomCave/Items/frog.png',0,0,41,36,1,0)
	anim:SetHotSpot(20,18)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('frog',anim,331,591,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/ZoomCave/Items/shoes.png',0,0,76,70,1,0)
	anim:SetHotSpot(38,35)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('shoes',anim,254,416,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/ZoomCave/Items/steering_wheel.png',0,0,85,78,1,0)
	anim:SetHotSpot(42,39)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('steering_wheel',anim,474,356,910,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/ZoomCave/Layers/cep.png',0,0,79,86,1,0)
	anim:SetHotSpot(39,43)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('cep',anim,695,580,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/ZoomCave/Layers/sprait_botinok.png',0,0,74,65,1,0)
	anim:SetHotSpot(37,32)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sprait_botinok',anim,232,434,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/ZoomCave/Layers/sprait_skaly.png',0,0,135,160,1,0)
	anim:SetHotSpot(67,80)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('sprait_skaly',anim,468,354,920,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/ZoomCave/Animations/snake.png',0,0,192,72,18,10)
	anim:SetHotSpot(96,36)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('snake',anim,757,491,915,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/ZoomCave/Layers/ZoomCaveBg.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('ZoomCaveBg',anim,512,384,900,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(6,5)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_snake',anim,737,491,940,0,80,60)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Layers/door.png',0,0,192,188,1,0)
	anim:SetHotSpot(96,94)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('door',anim,283,686,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/14_skin_diver_/Layers/door_layer.png',0,0,197,153,1,0)
	anim:SetHotSpot(98,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('door_layer',anim,283,702,210,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
